{
  config,
  lib,
  options,
  specialArgs,
  modulesPath,
}: {
  home.stateVersion = "23.05";
  home.username = "kristian";
  home.homeDirectory = "/home/kristian";

  home.sessionVariables = {
    # Electron programms won't render correctly under wayland without this
    NIXOS_OZONE_WL = 1;
  };

  # Keyboard Layout
  home.keyboard.layout = "at";

  # TODO Change for Laptop
  targets.genericLinux.enable = false; # Enable on non-nixos ditros

  imports = [
    ./bash.nix
    ./direnv.nix
    ./firefox.nix
    ./git.nix
    ./gnome.nix
    ./nvim
    ./packages.nix
    ./thunderbird.nix
    ./vscode.nix
  ];

  # Programs
  programs = {
    home-manager.enable = true; # Allow home-manager to manage itself
    mpv.enable = true;
    obs-studio.enable = true;
    yt-dlp.enable = true;
  };

  # Services
  services = {
    copyq.enable = true;
  };

  xdg.mimeApps = {
    enable = true;

    defaultApplications = {
      "image/png" = ["org.gnome.eog.desktop"];
      "image/jpeg" = ["org.gnome.eog.desktop"];
      "video/webm" = ["mpv.desktop"];
      "application/pdf" = ["org.gnome.Evince.desktop"];
    };
  };
}
